RDKit: RDKit::RGroupGa Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RGroupGa Class Reference

`#include <RGroupGa.h>`

Inheritance diagram for RDKit::RGroupGa:

## Public Member Functions
| RGroupGa (const RGroupDecompData &rGroupData, const chrono::steady_clock::time_point *const t0=nullptr)
IntegerStringChromosomePolicy & | getChromosomePolicy ()
int | chromosomeLength () const
int | numberDecompositions () const
GaResult | run (int runNumber=1)
vector< GaResult > | runBatch ()
shared_ptr< RGroupDecompositionChromosome > | createChromosome ()
const RGroupDecompData & | getRGroupData () const
const vector< shared_ptr< GaOperation< RGroupDecompositionChromosome > > > | getOperations () const
unsigned int | numberPermutations () const

## Detailed Description

Definition at line 103 of file RGroupGa.h.

## Constructor & Destructor Documentation

## ◆ RGroupGa()

RDKit::RGroupGa::RGroupGa | ( | const RGroupDecompData & | rGroupData,
|  | const chrono::steady_clock::time_point *const | t0 = nullptr )

## Member Function Documentation

## ◆ chromosomeLength()

int RDKit::RGroupGa::chromosomeLength | ( |  | ) | const
| inline

Definition at line 112 of file RGroupGa.h.

## ◆ createChromosome()

shared_ptr< RGroupDecompositionChromosome > RDKit::RGroupGa::createChromosome | ( |  | ) |

## ◆ getChromosomePolicy()

IntegerStringChromosomePolicy & RDKit::RGroupGa::getChromosomePolicy | ( |  | ) |
| inline

Definition at line 108 of file RGroupGa.h.

## ◆ getOperations()

const vector< shared_ptr< GaOperation< RGroupDecompositionChromosome > > > RDKit::RGroupGa::getOperations | ( |  | ) | const

## ◆ getRGroupData()

const RGroupDecompData & RDKit::RGroupGa::getRGroupData | ( |  | ) | const
| inline

Definition at line 122 of file RGroupGa.h.

## ◆ numberDecompositions()

int RDKit::RGroupGa::numberDecompositions | ( |  | ) | const
| inline

Definition at line 114 of file RGroupGa.h.

## ◆ numberPermutations()

unsigned int RDKit::RGroupGa::numberPermutations | ( |  | ) | const
| inline

Definition at line 127 of file RGroupGa.h.

## ◆ run()

GaResult RDKit::RGroupGa::run | ( | int | runNumber = 1 | ) |

## ◆ runBatch()

vector< GaResult > RDKit::RGroupGa::runBatch | ( |  | ) |

The documentation for this class was generated from the following file:

- RGroupGa.h